SystemOrganization addCategory: #ExerciceTIT!

Object subclass: #AnalogInput
	instanceVariableNames: 'points labels'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ExerciceTIT'!

!AnalogInput methodsFor: 'pointValue:' stamp: 'EchernierMoche 4/27/2012 16:06'!
initialize
labels := ''.
points := 0! !

!AnalogInput methodsFor: 'label' stamp: 'EchernierMoche 4/27/2012 16:08'!
label
	^labels
! !

!AnalogInput methodsFor: 'label' stamp: 'EchernierMoche 4/27/2012 16:08'!
label: aByteString 
	labels := aByteString
! !

!AnalogInput methodsFor: 'pointValue' stamp: 'EchernierMoche 4/27/2012 15:26'!
pointValue
	^points! !

!AnalogInput methodsFor: 'pointValue:' stamp: 'EchernierMoche 4/27/2012 16:02'!
pointValue: aSmallInteger 
	aSmallInteger < 0 
	ifTrue: [points := 0 ] 
	ifFalse: [points := aSmallInteger.
				aSmallInteger > 32767 
				ifTrue: [points := 32767 ] 
				ifFalse: [points := aSmallInteger]
			].
	^points
	! !

Object subclass: #DigitalInput
	instanceVariableNames: 'pwrOn rfOn labels'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ExerciceTIT'!

!DigitalInput methodsFor: 'label' stamp: 'EchernierMoche 4/27/2012 16:28'!
initialize 
	labels :=''.! !

!DigitalInput methodsFor: 'label' stamp: 'EchernierMoche 4/27/2012 16:29'!
label
	^labels
! !

!DigitalInput methodsFor: 'label' stamp: 'EchernierMoche 4/27/2012 16:29'!
label: aByteString 
	labels := aByteString
	! !

!DigitalInput methodsFor: 'stateOff' stamp: 'EchernierMoche 4/27/2012 17:09'!
stateOff
	! !

!DigitalInput methodsFor: 'stateOn' stamp: 'EchernierMoche 4/27/2012 17:17'!
stateOn
! !

Object subclass: #RFGenerator
	instanceVariableNames: 'myGenerator pwrOn'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ExerciceTIT'!

!RFGenerator methodsFor: 'inputPwrOn' stamp: 'EchernierMoche 4/27/2012 16:51'!
inputPwrOn: aDigitalInput 
! !

!RFGenerator methodsFor: 'inputRfOn' stamp: 'EchernierMoche 4/27/2012 16:51'!
inputRfOn: aDigitalInput 
! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 17:16'!
isRunning
 ^false! !

!RFGenerator methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:41'!
setUp
	myGenerator := RFGenerator new.
	myGenerator inputPwrOn: pwrOn.! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'pointValue value power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ExerciceTIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:15'!
setUp  
power := AnalogInput new.

! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:16'!
testAnalogInputshouldReturnFifthyThousand
power pointValue: 15000.
self assert:  power pointValue  equals: 15000.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:16'!
testAnalogInputshouldReturnMaxForSup32767
power pointValue: 40000.
self assert:  power pointValue  equals: 32767.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:16'!
testAnalogInputshouldReturnZeroForInit
power label: 'QPW1'.
self assert: power pointValue equals: 0
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:16'!
testAnalogInputshouldReturnZeroforNegative
power pointValue: -1.
self assert:  power pointValue  equals: 0.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:16'!
testAnalogInputshouldReturnlabel
power label: 'QPW1'.
self assert:  power label  equals: 'QPW1'.
! !

TestCase subclass: #RFGenTest
	instanceVariableNames: 'pwrOn rfOn myGenerator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ExerciceTIT'!

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:50'!
setUp
	pwrOn := DigitalInput new.
	pwrOn label: 'PWRON'.	
	rfOn := DigitalInput new.
	rfOn label: 'RFON'.
	myGenerator := RFGenerator new.
	myGenerator inputPwrOn: pwrOn;
					 inputRfOn: rfOn.
	
! !

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:48'!
testDigitalInputPowerOnLabelShouldBePWRON
	self assert: pwrOn label equals: 'PWRON'.! !

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 16:48'!
testDigitalInputPowerOnLabelShouldBeRFON
	self assert: rfOn label equals: 'RFON'.! !

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 17:05'!
testRFGenIsRunningisRunningFirstCase
	pwrOn  stateOff.
	rfOn stateOff.
	self assert: myGenerator isRunning equals: false.
	! !

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 17:17'!
testRFGenIsRunningisRunningSecondCase
	pwrOn  stateOn.
	rfOn stateOff.
	self assert: myGenerator isRunning equals: false.
	! !

!RFGenTest methodsFor: 'as yet unclassified' stamp: 'EchernierMoche 4/27/2012 17:18'!
testRFGenIsRunningisRunningThridCase
	pwrOn  stateOn.
	rfOn stateOn.
	self assert: myGenerator isRunning equals: true.
	! !
